//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wSubmitDefPane:
//   Generates a form for choosing a file path for submitting a default changelist

#ifndef p4wSubmitDefPane_H
#define p4wSubmitDefPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wSubmitDefPane : public p4wRunPane {

public:

	p4wSubmitDefPane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser );
	virtual		~p4wSubmitDefPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	RenderError( char *data, int escapeHTML );
	virtual	void	End();
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
				StrDict * varList, int len, SpecElem *se ) { return 0; };
	void		RenderPathOnly();

private:
	int fIsFileBrowser;
};

#endif // p4wSubmitDefPane_H
